Bug 801431 - [RFE] sudo: send username and uid while requesting default options
Summary: [RFE] sudo: send username and uid while requesting default options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-08 14:19 UTC by Dmitri Pal
Modified: 2020-05-02 16:47 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Enhancement
Doc Text:
Do not document.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:21:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2281 0 None None None 2020-05-02 16:47:38 UTC
Red Hat Product Errata RHSA-2013:0508 0 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-03-08 14:19:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1239

Sudo client sends two synchronous requests to sssd:
1. for default options providing none information (sss_sudo_send_recv_defaults())
2. for user rules providing username (sss_sudo_send_recv())

This can end up in mixing sudoers from two domains:
1. we have domains A, B (both sudo enabled) and user X@B
2. X@B does sudo
3. sudo requests default options - we will return cn=defaults from A
4. sudo requests rule for X - we will return rules from B

We should send username and uid in sss_sudo_send_recv_defaults(). Then find the domain the user is a member of and return this domain name to sudo.

Sudo will then request the rules giving us username, uid and domain.

Comment 1 RHEL Program Management 2012-07-10 06:13:18 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-11 02:04:51 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Nikolai Kondrashov 2013-01-08 14:36:56 UTC
Verified manually as fixed with the following packages:

libsss_idmap-1.9.2-59.el6.x86_64
sssd-client-1.9.2-59.el6.x86_64
sudo-1.8.6p3-6.el6.x86_64
sssd-1.9.2-59.el6.x86_64
libsss_sudo-1.9.2-59.el6.x86_64

Comment 5 errata-xmlrpc 2013-02-21 09:21:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.